Subject: Re: [OSPF] WG Adoption Poll for "Using Operator-defined TLVs for Agile Service Deployment"

From: "Acee Lindem (acee)" <[email-masked]>
Date: Wed, 11 May 2016 21:08:01 +0000

Hi Eric, 
We discussed this both on the list and at IETF 95. In summary, there is no
general agreement on either whether there is an OSPF third-party
application info distribution use case or, if there is one, whether this
draft meets the requirements.
Thanks,
Acee 

On 4/14/16, 10:05 PM, "Wunan (Eric)" <[email-masked]> wrote:

>Hi Acee,
>
>I think the motivation below makes sense. Actually this is the way people
>had already been doing, not only operators.
>
>"One major benefit of using administrative tags rather
>   than IANA defined TLVs or sub-TLVs to indicate different services is
>   to facilitate the rapid deployment of new services without any need
>   for the standardization of those TLVs or sub-TLVs.  However, there
>   are some special use cases where the service to be advertised has one
>   or more attributes which need to be advertised as well.  In such
>   case, the administrative tag is not much applicable anymore"
>
>Personally I wish one more generalized mechanism can exist instead of one
>Node tag and one proprietary TLV.
>Anyway, I'd like to see this I-D can go further and "lot of things we can
>further improve" at the same time, as Uma mentioned.
>
>Regards
>Eric
>
>> -----邮件原件-----
>> 发件人: Acee Lindem (acee) [mailto:[email-masked]]
>> 发送时间: 2016年3月17日 10:09
>> 收件人: OSPF WG List
>> 主题: [OSPF] WG Adoption Poll for "Using Operator-defined TLVs for Agile
>>Service
>> Deployment"
>> 
>> We’ve discussed this draft a number of times. In my opinion, it seems
>>like a useful
>> mechanism if one envisions a generalized API between OSPF and user and
>>third-party
>> applications to convey application-specific information learned from
>>other OSPF
>> routers. In many respects, this has already been envisioned for OSPF
>>Node Tags.
>> Please indicate your opinion on this draft before March 31st, 2016.
>> 
>> Thanks,
>> Acee
>